Package org.bukkit.block.structure

# Enum Class Mirror

java.lang.Object
java.lang.Enum<Mirror>
org.bukkit.block.structure.Mirror

All Implemented Interfaces:
  `Serializable`, `Comparable<Mirror>`, `Constable`

public enum Mirror extends Enum<Mirror>
Represents how a `Structure` can be mirrored upon being loaded.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FRONT_BACK`
Structure is mirrored front to back.
`LEFT_RIGHT`
Structure is mirrored left to right.
`NONE`
No mirroring.

## Method Summary

Modifier and Type
Method
Description
`static Mirror`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Mirror[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Mirror NONE
No mirroring.
Positive X to Positive Z

### LEFT_RIGHT

public static final Mirror LEFT_RIGHT
Structure is mirrored left to right.
Similar to looking in a mirror. Positive X to Negative Z

### FRONT_BACK

public static final Mirror FRONT_BACK
Structure is mirrored front to back.
Positive Z to Negative X

## Method Details

### values

public static Mirror[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Mirror valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null